# Class CIM_ClassifierElementInClassifierService
extends CIM_ServiceComponent

This aggregation represents the relationship between a ClassifierService and the ClassifierElements that provide its fan-out function. ClassifierElements represent the traffic selectors for the Service. A ClassifierService typically aggregates multiple ClassifierElements. An individual Element, however, is aggregated only by a single ClassifierService.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Component
|
+--CIM_ServiceComponent
|
+--CIM_ClassifierElementInClassifierService

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Aggregation | boolean | true
Association | boolean | true
Composition | boolean | true
Description | string | This aggregation represents the relationship between a ClassifierService and the ClassifierElements that provide its fan-out function. ClassifierElements represent the traffic selectors for the Service. A ClassifierService typically aggregates multiple ClassifierElements. An individual Element, however, is aggregated only by a single ClassifierService.
UMLPackagePath | string | CIM::Network::QoS
Version | string | 2.7.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
ClassifierOrder | uint32 |

Description

string

Because the filters for a classifier can overlap, it is necessary to specify the order in which the ClassifierElements are aggregated by a ClassifierService. This then dictates the order in which packets coming into the classifier are presented. Values are represented in ascending order: first '1', then '2', and so on. Different values MUST be assigned for each of the ClassifierElements aggregated by a given ClassifierService.

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
GroupComponent | CIM_ClassifierElementInClassifierService | CIM_ClassifierService
PartComponent | CIM_ClassifierElementInClassifierService | CIM_ClassifierElement

## Class Methods